# Method: notes.delete

- [HTTP request](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes/delete#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes/delete#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes/delete#body.request_body)
- [Response body](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes/delete#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/keep/api/reference/rest/v1/notes/delete#body.aspect)

Deletes a note. Caller must have the `OWNER` role on the note to delete. Deleting a note removes the resource immediately and cannot be undone. Any collaborators will lose access to the note.

### HTTP request

`DELETE https://keep.googleapis.com/v1/{name=notes/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the note to delete. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is an empty JSON object.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/keep`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).